Details
  • Last release: 2.2.2
  • 1 week ago

Frozen Bubble Game

Dependencies
  • HD_Station >= 3.0.0
  • HD_Station < 6.0.0

QTS
Requires QTS 4.2.1 or later

Models
TS-NASX86 64bits

Thanks for your support
  • 2.2.1 Released 10 months ago ( 04-02-2018 )
    Dependencies:
    • HD_Station >= 3.0.0
    • HD_Station < 4.0.0